Skip to content
Skip to main content
POST
/v3/templates/{template_id}/render

Render a template

Renders the specified application-level template with the provided variables.

NYLAS API KEY

Parameters

Path parameters

template_id*string

The ID of the template to access.

Example: "14c00cc8-648c-4381-ad10-52641d9bac8e"

Request body

strictboolean

When true, Nylas returns an error if the template contains variables that aren't defined in the variables object.

Default: true
Example: true
variables*object

A set of key/value pairs representing variables to substitute for values in the template.

Example: {"user":{"name":"Leyah","surname":"Miller"}}

Responses

request_id*string

The ID of the request.

Example: "3822450015-47d9207c-4d06-4e15-b3e7-752c5dd5585d"
data*object
POSThttps://api.us.nylas.com/v3/templates/14c00cc8-648c-4381-ad10-52641d9bac8e/render

Find your API key in the Nylas Dashboard under API Keys in your application settings.

template_idrequiredstring

The ID of the template to access.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.